1 Reply Latest reply: Jul 9, 2012 9:48 PM by Kalyan Pasupuleti-Oracle RSS

    Spring application 2.0.6 fails deployment on WebLogic 10.3.6

    user5108636
      Hi All,
      I am trying to deploy a third party spring framework (version 2.0.6) based web application onto the WebLogic version 10.3.6.0. The certification matrix for spring with WebLogic 10.3.6.0 is spring version 2.5.3. I don't know what that means. Does it mean it is not possible to run Spring 2.0.6 applications on WebLogic 10.3.6.0.

      Not bothering about all these certification issues, I go forward and deploy the third party application (i.e PowerDesigner Portal) which uses spring 2.0.6 onto WL 10.3.6.0. Doing so , I get an error message 'org.springframework.ejb.config.JeeNamespaceHandler'does not implement the NamespaceHandler interface'


      This application sucessfully deploys on Apache web server but not WebLogic. Some suggest it could be due to classloading issues. However, I could not find any spring.jar in the system classpath only could find weblogic-spring.jar in the path <WL_HOME>\server\lib.

      I then try download certified spring version 2.5.3 and dependencies for this WL version as per Oracle documentation for spring extension and pop the required jars aspectjweaver.jar, commons-logging.jar, log4j-1.12.14.jar, pitchfork-1.0-m5.jar and spring.jar into the <DOMAIN>/lib and restart the entire domain. I see the jars added to the classpath in the WL startup console.

      However, deploying the third party application Power Designer Portal 16.1 version fails with the same issue 'org.springframework.ejb.config.JeeNamespaceHandler'does not implement the NamespaceHandler interface'

      Sometimes get a feeling, write once run anywhere notion of Java is just a hype when you run into all these runtime issues.


      Please suggest what to try next, I am running short of ideas. Might as well introduce open source Apache into the enterprise instead of hyped up best in the breed WebLogic.

      Thanks